Package com.arms.api.dashboard.controller

## Class DashboardController

- java.lang.Object
- - com.arms.api.dashboard.controller.DashboardController

-     @RestController
      @RequestMapping("/arms/dashboard")
      public class DashboardController
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DashboardController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<TopNReqAssigneeVO>>>` | `findTopNReqAssignee​(DashboardDTO dashboardDTO, java.lang.Integer topN)` |
    `java.lang.String` | `getConfigTest()` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.Map<java.lang.String,​RequirementJiraIssueAggregationResponse>>>` | `requirementsJiraIssueStatuses​(DashboardDTO dashboardDTO)` | C3 Combination Chart API - Dashboard (좌하 - 우측)
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<SankeyData>>` | `versionAssigneeIssueSummary​(DashboardDTO dashboardDTO, java.lang.Integer topN)` | D3 Sankey Chart API - Dashboard (우상 - 좌측)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DashboardController

          public DashboardController()

  - ### Method Detail

    - #### requirementsJiraIssueStatuses

          @GetMapping("/aggregate-weekly-req-issue-status")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.Map<java.lang.String,​RequirementJiraIssueAggregationResponse>>> requirementsJiraIssueStatuses​(DashboardDTO dashboardDTO)

      C3 Combination Chart API - Dashboard (좌하 - 우측)

    - #### versionAssigneeIssueSummary

          @GetMapping(value="/version-assignee-summary",
                      name="dashboard-version-assignee-summary")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<SankeyData>> versionAssigneeIssueSummary​(DashboardDTO dashboardDTO,
                                                                                                                           @RequestParam(required=false)
                                                                                                                           java.lang.Integer topN)
                                                                                                                    throws java.lang.Exception

      D3 Sankey Chart API - Dashboard (우상 - 좌측)
      Throws:
        `java.lang.Exception`

    - #### findTopNReqAssignee

          @GetMapping("/top-req-assignee")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<TopNReqAssigneeVO>>> findTopNReqAssignee​(DashboardDTO dashboardDTO,
                                                                                                                                          @RequestParam(required=false)
                                                                                                                                          java.lang.Integer topN)

    - #### getConfigTest

          @GetMapping("/global/config/test")
          public java.lang.String getConfigTest()